#include "clm_gpu.h"

#include <stdio.h>

struct clm_NativeBuf {};

int clm_gpuInit() {
	return 0;
}

void clm_gpuDestroy() {}

void clm_linearForward(clm_Linear *linear, clm_Matrix input) {
	clm_Matrix newX = clm_matrixMultiplyMatrix(linear->weights, input, linear->output);

	if(clm_matrixIsInvalid(newX)) {
		printf("Forward pass failed\n");
		return;
	}

	clm_matrixAddMatrix(newX, linear->bias);
	clm_matrixSigmoid(newX);
	linear->output = newX;
}
